Skip to main content
POST
/
v1
/
paymentIntents
Create a payment intent
curl --request POST \
  --url https://api-sandbox.circle.com/v1/paymentIntents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
  "currency": "USD",
  "settlementCurrency": "USD",
  "paymentMethods": [
    {
      "type": "blockchain",
      "chain": "ALGO"
    }
  ],
  "merchantWalletId": "212000",
  "type": "continuous"
}
'
{ "data": { "id": "8755d0ea-14f9-4259-b092-de23c14b6568", "amount": { "amount": "3.14", "currency": "USD" }, "amountPaid": { "amount": "0.00", "currency": "USD" }, "settlementCurrency": "USD", "paymentMethods": [ { "type": "blockchain", "chain": "ETH", "address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F" } ], "paymentIds": [], "timeline": [ { "status": "created", "time": "2022-07-21T20:13:35.579331Z" } ], "createDate": "2022-07-21T20:13:35.578678Z", "updateDate": "2022-07-21T20:19:24.859052Z" } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
idempotencyKey
string<uuid>
required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

Example:

"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"

currency
enum<string>
required

Desired currency for the payment

Available options:
USD,
EUR
settlementCurrency
enum<string>
required

Desired currency for the payments to settle in. This must match the currency used for the payment.

Available options:
USD,
EUR
paymentMethods
object[]
required
merchantWalletId
string
required

Unique system generated identifier for the wallet of the merchant.

Maximum string length: 36
Example:

"212000"

type
enum<string>
default:continuous

Payment intent type. Defaults to 'continuous' if not specified.

Available options:
continuous

Response

Successfully created a payment intent.

data
object